# access token

An access token is used by the Identity service’s OS-OAUTH1 extension. It is used by the consumer to request new Identity API tokens on behalf of the authorizing user. Applicable to Identity v3.

## access token create

Create an access token

    openstack access token create
        --consumer-key <consumer-key>
        --consumer-secret <consumer-secret>
        --request-key <request-key>
        --request-secret <request-secret>
        --verifier <verifier>

--consumer-key <consumer-key>

  Consumer key (required)

--consumer-secret <consumer-secret>

  Consumer secret (required)

--request-key <request-key>

  Request token to exchange for access token (required)

--request-secret <request-secret>

  Secret associated with <request-key> (required)

--verifier <verifier>

  Verifier associated with <request-key> (required)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.